/**
 * Copyright (C) 2003-2004 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.exchange.test;

import java.util.Date;

import sync4j.exchange.items.contact.model.Contact;
import sync4j.exchange.items.contact.manager.ContactManager;

/**
 * @author Fabio Maggi @ Funambol
 * N.B. For use this class,
 *      comments in sync4j.exchange.items.common.dao.ItemDAO
 *      this.da = new DataAccess ()  ;
 *      at line 167 and line 180
 * @version $Id: InsertContacts.java,v 1.2 2004/04/06 11:26:18 ste Exp $
 **/

public class InsertContacts {

    //---------------------------------------------------------------- Constants

    private static final String  SERVER_HOST     = "192.168.0.10"      ;
    private static final int     SERVER_PORT     = 80                  ;

    private static final String  SERVER_TMZ      = "GMT-5:00"          ;

    private static final String  SOURCE_URI      = "Exchange/Contacts" ;

    private static final String  CREDENTIALS     = "ZWxpc2E6ZWxpc2Ex"  ;
    private static final String  USERNAME        = "elisa"             ;

    private static final int     CONTACTS_NUMBER = 160                 ;

    //------------------------------------------------------------- Public methods

    /**
     * Main
     */
    public static void main (String[] args)  {

        Contact        c       = null ;
        ContactManager cm      = null ;

        try {


            System.out.println("debug 1");

            cm = new ContactManager(SERVER_HOST ,
                                    SERVER_PORT ,
                                    SERVER_TMZ);


            System.out.println("Start insert.....");

            for (int i=0; i < CONTACTS_NUMBER; i++) {

                c = new Contact("utente" + i,
                                new Date(System.currentTimeMillis()));

                c.setHref("utente" +
                                i        +
                                ".EML");

                c.setFirstName ("nomee"    +
                                i          ) ;
                c.setLastName  ("cognome"  +
                                      i    ) ;
                c.setFileas    ("cognome"  +
                                i          +
                                ","        +
                                "nome"     +
                                i          ) ;

                c.setHomeStreet
                    ("HomeStreetTestaaaaaaaaaaaaaaaaaaaaaaaa"         ) ;
                c.setHomeCity
                    ("HomeCityTestaaaaaaaaaaaaaaaaaaaaaaaa"           ) ;
                c.setHomeState
                    ("HomeStateTestaaaaaaaaaaaaaaaaaaaaaaaa"          ) ;
                c.setHomePostalCode
                    ("HomePostalCodeTestaaaaaaaaaaaaaaaaaaaaaaaa"     ) ;
                c.setHomeCountry
                    ("HomeCountryTestaaaaaaaaaaaaaaaaaaaaaaaa"        ) ;
                c.setHomePhone
                    ("HomePhoneTestaaaaaaaaaaaaaaaaaaaaaaaa"          ) ;
                c.setHomeOtherPhone
                    ("HomeOtherPhoneTestaaaaaaaaaaaaaaaaaaaaaaaa"     ) ;
                c.setHomeFax
                    ("HomeFaxTestaaaaaaaaaaaaaaaaaaaaaaaa"            ) ;
                c.setOfficeStreet
                    ("OfficeStreetTestaaaaaaaaaaaaaaaaaaaaaaaa"       ) ;
                c.setOfficeCity
                    ("OfficeCityTestaaaaaaaaaaaaaaaaaaaaaaaa"         ) ;
                c.setOfficeState
                    ("OfficeStateTestaaaaaaaaaaaaaaaaaaaaaaaa"        ) ;
                c.setOfficePostalCode
                    ("OfficePostalCodeTestaaaaaaaaaaaaaaaaaaaaaaaa"   ) ;
                c.setOfficeCountry
                    ("OfficeCountryTestaaaaaaaaaaaaaaaaaaaaaaaa"      ) ;
                c.setOfficePhone
                    ("OfficePhoneTestaaaaaaaaaaaaaaaaaaaaaaaa"        ) ;
                c.setOfficeOtherPhone
                    ("OfficeOtherPhoneTestaaaaaaaaaaaaaaaaaaaaaaaa"   ) ;
                c.setOfficeFax
                    ("OfficeFaxTestaaaaaaaaaaaaaaaaaaaaaaaa"          ) ;
                c.setOtherStreet
                    ("OtherStreetTestaaaaaaaaaaaaaaaaaaaaaaaa"        ) ;
                c.setOtherCity
                    ("OtherCityTestaaaaaaaaaaaaaaaaaaaaaaaa"          ) ;
                c.setOtherState
                    ("OtherStateTestaaaaaaaaaaaaaaaaaaaaaaaa"         ) ;
                c.setOtherPostalCode
                    ("OtherPostalCodeTestaaaaaaaaaaaaaaaaaaaaaaaa"    ) ;
                c.setOtherCountry
                    ("OtherCountryTestaaaaaaaaaaaaaaaaaaaaaaaa"       ) ;
                c.setOtherPhone
                    ("OtherPhoneTestaaaaaaaaaaaaaaaaaaaaaaaa"         ) ;
                c.setOtherFax
                    ("OtherFaxTestaaaaaaaaaaaaaaaaaaaaaaaa"           ) ;

                cm.setContact(c           ,
                              USERNAME    ,
                              CREDENTIALS ,
                              SOURCE_URI)  ;

            }

            System.out.println("...End insert. Contacts number: " +
                                   CONTACTS_NUMBER);

        } catch (Exception e) {
            System.out.println("Error:" + e.getMessage());
        }

    }

}