/**
 * Copyright (C) 2003-2004 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.exchange.test;

import sync4j.exchange.engine.source.ExchangeCalendarSyncSource;

import sync4j.framework.engine.SyncItem;
import sync4j.framework.engine.SyncItemImpl;
import sync4j.framework.engine.SyncProperty;
import sync4j.framework.engine.source.SyncSourceException;

import java.security.Principal;
import java.sql.Timestamp;

/**
 * @author Fabio Maggi @ Funambol
 *
 * @version $Id: TestCalendar.java,v 1.2 2004/04/06 11:26:18 ste Exp $
 **/

public class TestCalendar {

    /**
     * Main
     */
    public static void main (String[] args)  {

        Principal principal   = null ;
        SyncItem  syncItem    = null ;

        String    calendarMsg = null ;

        ExchangeCalendarSyncSource syncSource = null;

        calendarMsg = "BEGIN:VCALENDAR\n"                    +
                      "VERSION:1.0\n"                        +
                      "BEGIN:VEVENT\n"                       +
                      "UID:1074800413959\n"                  +
                      "DESCRIPTION:verificatre calendar\n"          +
                      "SUMMARY:verificaquattro calendar summary\n"      +
                      "DTSTART:20040208T020000\n"            +
                      "DTEND:20040208T023000\n"              +
                      "X-EPOCAGENDAENTRYTYPE:test\n"         +
                      "CATEGORIES:test\n"                    +
                      "LOCATION:milano\n"                    +
                      "END:VEVENT"                           ;

        syncItem  = new SyncItemImpl (syncSource, "280");

        syncItem.setProperty(
                    new SyncProperty(SyncItem.PROPERTY_BINARY_CONTENT,
                                     calendarMsg.getBytes())
        );

        syncItem.setProperty(
            new SyncProperty(
                SyncItem.PROPERTY_TIMESTAMP,
                new Timestamp(System.currentTimeMillis())
            )
        );

        syncSource = new ExchangeCalendarSyncSource( );

        try {
            //syncSource.setSyncItem(principal, syncItem);
            //syncSource.removeSyncItem(principal, syncItem);
            syncSource.getAllSyncItems(principal);
        } catch (SyncSourceException e) {
            System.out.println(e.getMessage());
        }

    }

}