/**
 * Copyright (C) 2003-2004 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.exchange.test;

import sync4j.exchange.engine.source.ExchangeContactSyncSource;

import sync4j.framework.engine.SyncItem;
import sync4j.framework.engine.SyncItemImpl;
import sync4j.framework.engine.SyncProperty;
import sync4j.framework.engine.source.SyncSourceException;

import java.security.Principal;
import java.sql.Timestamp;

/**
 * @author Fabio Maggi @ Funambol
 *
 * @version $Id: TestContact.java,v 1.2 2004/04/06 11:26:18 ste Exp $
 **/

public class TestContact {

    /**
     * Main
     */
    public static void main (String[] args)  {

        Principal principal  = null ;
        SyncItem  syncItem   = null ;

        String    contactMsg = null ;

        ExchangeContactSyncSource syncSource = null;

        contactMsg = "BEGIN:VCARD\n"                      +
                     "VERSION:2.1\n"                      +
                     "REV:20040121T171916Z\n"             +
                     "N:occhi;michela;;;\n"               +
                     "ORG:occhimix;\n"                    +
                     "TITLE:psicologa\n"                  +
                     "TEL;VOICE:038223007\n"              +
                     "TEL;HOME:038223007\n"               +
                     "TEL;CELL:3471115117\n"              +
                     "TEL;FAX:038223008\n"                +
                     "EMAIL:fabio.maggi@funambol.com\n"   +
                     "END:VCARD[lab@dh0337 contact]$"     ;

        syncItem  = new SyncItemImpl (syncSource, "261");

        syncItem.setProperty(
                    new SyncProperty(SyncItem.PROPERTY_BINARY_CONTENT,
                                     contactMsg.getBytes())
        );

        syncItem.setProperty(
            new SyncProperty(
                SyncItem.PROPERTY_TIMESTAMP,
                new Timestamp(System.currentTimeMillis())
            )
        );

        syncSource = new ExchangeContactSyncSource( );

        try {
            //syncSource.setSyncItem(principal, syncItem);
            //syncSource.removeSyncItem(principal, syncItem);
            syncSource.getAllSyncItems(principal);
        } catch (SyncSourceException e) {
            System.out.println(e.getMessage());
        }

    }

}